r8168 fails to install in kernel 3.8.0-1 and 3.8.0-2 [error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_board’]

Bug #1108068 reported by Craig Denman on 2013-01-28
168
This bug affects 34 people
Affects Status Importance Assigned to Milestone
r8168 (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Adam Conrad

Bug Description

Ubuntu 13.04 Raring developmental branch

The driver r8168-8.035.00 has worked for 3.8.0-0 and all previous kernels (as has your previous drivers).

However, with the last two updates to the kernel (3.8.0-1 and 3.8.0-2) have not worked. I am attaching the terminal output that shows the errors.

I notice that the kernel is now trying to push a driver r8168-dkms that it has not done in the past. It too has failed to install. In the past the kernel has always installed r8169, which has never worked prompting me to have to install the r8168 driver from your support downloads.

Let me know if there is additional information that could help, i.e. log file.

Here is the output of the attempted installation:

Welcome to Ubuntu Raring Ringtail (development branch) (GNU/Linux 3.8.0-2-generic x86_64)

 * Documentation: https://help.ubuntu.com/
cad@cad-ubuntu:~$ cd ~/Downloads
cad@cad-ubuntu:~/Downloads$ ls
37-make.patch.bz2
901.patch.bz2
acml.pdf
amd-driver-installer-catalyst-12.11-beta11-x86.x86_64.zip
audi-r8-wallpapers-1.jpg
beautiful-hq-mountains-wallpaper.jpg
firegl_public.c.bz2
hq-mountain-wallpaper-1920x1200-0912072.jpg
Mandriva Linux Assembly Mandriva Wallpapers Wide.jpg
OpenCL_Programming.pdf
r8168-8.035.00
signature.bz2
ubuntu-12.10-desktop-amd64.iso
ubuntu-12.10-desktop-amd64+mac.iso
WP_Ubuntu_Server_WEB.pdf
cad@cad-ubuntu:~/Downloads$ cd r8168-8.035.00
cad@cad-ubuntu:~/Downloads/r8168-8.035.00$ ls
autorun.sh Makefile README src
cad@cad-ubuntu:~/Downloads/r8168-8.035.00$ sudo ./autorun.sh
[sudo] password for cad:

Check old driver and unload it.
Build the module and install
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:14545:1: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_board’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:14715:1: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_sequence’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:14968:1: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_one’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:15132:1: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_remove_one’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17651:12: error: ‘rtl8168_init_one’ undeclared here (not in a function)
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17652:2: error: implicit declaration of function ‘__devexit_p’ [-Werror=implicit-function-declaration]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17652:25: error: ‘rtl8168_remove_one’ undeclared here (not in a function)
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17301:12: warning: ‘rtl8168_poll’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1368:1: warning: ‘rtl8168_xmii_reset_pending’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1383:1: warning: ‘rtl8168_xmii_link_ok’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1395:1: warning: ‘rtl8168_xmii_reset_enable’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1544:1: waOpenCL_Programming.pdf
r8168-8.035.00
signature.bz2
ubuntu-12.10-desktop-amd64.iso
ubuntu-12.10-desktop-amd64+mac.iso
WP_Ubuntu_Server_WEB.pdf
cad@cad-ubuntu:~/Downloads$ cd r8168-8.035.00
cad@cad-ubuntu:~/Downloads/r8168-8.035.00$ ls
autorun.sh Makefile README src
cad@cad-ubuntu:~/Downloads/r8168-8.035.00$ sudo ./autorun.sh
[sudo] password for cad:

Check old driver and unload it.
Build the module and install
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:14545:1: e
rror: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_boar
d’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:14715:1: e
rror: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_sequ
ence’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:14968:1: e
rror: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_one’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:15132:1: e
rror: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_remove_on
e’
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17651:12:
error: ‘rtl8168_init_one’ undeclared here (not in a function)
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17652:2: e
rror: implicit declaration of function ‘__devexit_p’ [-Werror=implicit-function-
declaration]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17652:25:
error: ‘rtl8168_remove_one’ undeclared here (not in a function)
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:17301:12:
warning: ‘rtl8168_poll’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1368:1: wa
rning: ‘rtl8168_xmii_reset_pending’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1383:1: wa
rning: ‘rtl8168_xmii_link_ok’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1395:1: wa
rning: ‘rtl8168_xmii_reset_enable’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1544:1: wa
rning: ‘rtl8168_link_option’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:1823:1: wa
rning: ‘rtl8168_set_speed_xmii’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:2151:13: w
arning: ‘rtl8168_gset_xmii’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:2886:13: w
arning: ‘rtl8168_get_mac_version’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:3002:1: wa
rning: ‘rtl8168_print_mac_version’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:3044:1: wa
rning: ‘rtl8168_hw_phy_config’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:13681:1: w
arning: ‘rtl8168_release_board’ defined but not used [-Wunused-function]
/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_n.c:14914:17:
warning: ‘rtl8168_try_msi’ defined but not used [-Wunused-function]
cc1: some warnings being treated as errors
make[3]: *** [/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/src/r8168_
n.o] Error 1
make[2]: *** [_module_/media/Ubuntu-Spinner/home/cad/Downloads/r8168-8.035.00/sr
c] Error 2
make[1]: *** [modules] Error 2
make: *** [modules] Error 2
cad@cad-ubuntu:~/Downloads/r8168-8.035.00$
 u Raring 0:* 5m 0.37 6x0.8GHz 14.6G7% 2013-01-28 09:32:51

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in r8168 (Ubuntu):
status: New → Confirmed
summary: - r8168 fails to install in kernel 3.8.0-1 and 3.8.0-2
+ r8168 fails to install in kernel 3.8.0-1 and 3.8.0-2 [error: expected
+ ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_board’]
Craig Denman (cdenman) wrote :

This bug affects 3.8.0-6 and those since 3.8.0-1. Kernel 3.8.0 is OK. Back during 8.3.0-4 I attempted the r8168-dkms reinstall to all available 3.8.0 kernels: 3.8.0 proceeded without problems, but 3.8.0-4 failed. Here is the dialog from r8168-dkms: (see attachment)

Craig Denman (cdenman) wrote :

Affects also the upgrade to 3.8.0-7.

Pavel Reznicek (pav-rez) wrote :

Hi, this looks like a working patch (at least works for me for debian 3.8.2 kernel):

http://permalink.gmane.org/gmane.linux.arch.scm/122391

Pavel

Jan Schnackenberg (yehaa) wrote :

This bug left my system without network access after the upgrade to 13.04. Lucky me, that I had a phone with wich I found bug #1156283 and the patch attached there.

Simone (astro-simone) wrote :

Affects also the upgrade to 3.8.0-19.

thanks to my phone, the bug #1156283 solved the issue

Anton Balashov (ctolbhuk) wrote :

Hi, guys!
We made a correct patch which doesn't affect old versions of kernel:
http://anonscm.debian.org/gitweb/?p=collab-maint/r8168.git;a=blob_plain;f=debian/patches/kernel-3.8.patch;h=b4cca8a4564eaa8c161f18266252458f47c84306;hb=5be56aa51bcb36e5b988cabb89ca1fe85807aef6

Pkg in debian already patched and it will be in ubuntu soon.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package r8168 - 8.035.00-2

---------------
r8168 (8.035.00-2) unstable; urgency=low

  * kernel-3.8.patch: New, fix building the module for kernel 3.8+ that has
    removed the __dev* attributes. (Closes: #706978) (LP: #1108068, #1156283)
  * Use canonical Vcs-* URLs.
  * Switch to debhelper 9.

 -- Andreas Beckmann <email address hidden> Tue, 07 May 2013 10:02:12 +0200

Changed in r8168 (Ubuntu):
status: Confirmed → Fix Released
Adam Conrad (adconrad) wrote :

Fixed package uploaded for raring and in the queue, waiting for an SRU team member (who isn't me) to review it.

Changed in r8168 (Ubuntu Raring):
assignee: nobody → Adam Conrad (adconrad)
status: New → In Progress
Adam Conrad (adconrad) wrote :

On second thought, had tumbleweed review it, so I can self-accept.

Changed in r8168 (Ubuntu Raring):
status: In Progress → Fix Committed
tags: added: verification-needed

Hello Craig, or anyone else affected,

Accepted r8168 into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/r8168/8.035.00-1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Tested that this works for me (or, rather, that it builds the module correctly after install). Waiting on an IRC report that it works for a user with the real hardware too, before an expedited promotion.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package r8168 - 8.035.00-1ubuntu1

---------------
r8168 (8.035.00-1ubuntu1) raring; urgency=low

  * kernel-3.8.patch: New, fix building the module for kernel 3.8
    that removed the __dev* attributes. (LP: #1108068, #1156283)
 -- Adam Conrad <email address hidden> Sat, 11 May 2013 02:43:22 -0600

Changed in r8168 (Ubuntu Raring):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2013-05-11
tags: added: verification-done
removed: verification-needed
tags: removed: 13.04 3.8.0-1 3.8.0-2 r8168 r8168-dkms
Download full text (9.3 KiB)

Adam,

Thanks for your work on this. I will give it a try as soon as I can. The first that I can get to it will be tonight.

Craig

On May 11, 2013, at 2:54 AM, Adam Conrad wrote:

> Hello Craig, or anyone else affected,
>
> Accepted r8168 into raring-proposed. The package will build now and be
> available at http://launchpad.net/ubuntu/+source/r8168/8.035.00-1ubuntu1
> in a few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed. In either case, details of your testing will help
> us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1108068
>
> Title:
> r8168 fails to install in kernel 3.8.0-1 and 3.8.0-2 [error: expected
> ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘rtl8168_init_board’]
>
> Status in “r8168” package in Ubuntu:
> Fix Released
> Status in “r8168” source package in Raring:
> Fix Committed
>
> Bug description:
> Ubuntu 13.04 Raring developmental branch
>
> The driver r8168-8.035.00 has worked for 3.8.0-0 and all previous
> kernels (as has your previous drivers).
>
> However, with the last two updates to the kernel (3.8.0-1 and 3.8.0-2)
> have not worked. I am attaching the terminal output that shows the
> errors.
>
> I notice that the kernel is now trying to push a driver r8168-dkms
> that it has not done in the past. It too has failed to install. In
> the past the kernel has always installed r8169, which has never worked
> prompting me to have to install the r8168 driver from your support
> downloads.
>
> Let me know if there is additional information that could help, i.e.
> log file.
>
> Here is the output of the attempted installation:
>
> Welcome to Ubuntu Raring Ringtail (development branch) (GNU/Linux
> 3.8.0-2-generic x86_64)
>
> * Documentation: https://help.ubuntu.com/
> cad@cad-ubuntu:~$ cd ~/Downloads
> cad@cad-ubuntu:~/Downloads$ ls
> 37-make.patch.bz2
> 901.patch.bz2
> acml.pdf
> amd-driver-installer-catalyst-12.11-beta11-x86.x86_64.zip
> audi-r8-wallpapers-1.jpg
> beautiful-hq-mountains-wallpaper.jpg
> firegl_public.c.bz2
> hq-mountain-wallpaper-1920x1200-0912072.jpg
> Mandriva Linux Assembly Mandriva Wallpapers Wide.jpg
> OpenCL_Programming.pdf
> r8168-8.035.00
> signature.bz2
> ubuntu-12.10-desktop-amd64.iso
> ubuntu-12.10-desktop-amd64+mac.iso
> WP_Ubuntu_Server_WEB.pdf
> cad@cad-ubuntu:~/Downloads$ cd r8168-8.035.00
> cad@cad-ubuntu:~/Downloads/r8168-8.035.00...

Read more...

Alex Kurilo (kamazee) wrote :

Looks like installing r8168-dkms and reboot after upgrading kernel to 3.8.0-20 worked.
Thanks!

Craig Denman (cdenman) wrote :

I can also confirm that the newly patched RealTek 8.035.00 driver for the RealTek 8111/8168 loads properly in the 3.8.0-20 kernel and operates well via the Ubuntu Raring repositories:

sudo apt-get update
sudo apt-get install r8168-dkms

Ubuntu Raring 3.8.0-20
Asus Sabertooth 990FX
AMD Phenom II x6 1100T
AMD Radeon HD 6870

Thanks for getting this worked out!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers